Subject: bug#77846: [PATCH ]31.0.50; C# dotnet compiler output incorrectly handled by compilation-mode

From: Mattias Engdegård <[email-masked]>
Date: Thu, 15 May 2025 19:04:02 +0200

Jostein and Eli, sorry about the delay.

23 apr. 2025 kl. 08.29 skrev Jostein Kjønigsen <[email-masked]>:

> Just to be clear and to make sure I understand: Do you suggest I test that hook locally and if it works, propose that as a patch? If so, should I add it to compile.el? Or were you suggesting something else?

What I meant is that `compilation-filter-hook` seems to be the proper level for filtering out stuff that isn't part of the messages emitted by a compiler, or in-band signalling common to otherwise unrelated tools. An example of the former would be unwanted annotation by the build system or terminal emulation, of the latter is SGR escape sequences for colouring the output.

I just don't understand where the 'ESC =' sequence comes from (the C# compiler?) or what it means. You said it was for 'fanciness', but I can't find any reference to it anywhere.

Could it be the result of Emacs mutilating the message somehow? What happens if you send the compiler errors to a file and visit it with Emacs in fundamental-mode?